<?php

/**

 * @version   $Id$

 * @author    RocketTheme http://www.rockettheme.com

 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC

 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only

 */

/*

Plugin Name: RokSprocket

Plugin URI: http://www.rockettheme.com

Description: A display widget for multiple WordPress CCKs from RocketTheme.

Author: RocketTheme, LLC

Version: 1.8.2

Author URI: http://www.rockettheme.com

License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only

*/



// Globals

global $browser_platform, $browser_name, $browser_version, $wpdb, $wp_filter, $pagenow, $roksprocket_version, $plugin, $roksprocket_plugin_file, $roksprocket_plugin_path, $roksprocket_plugin_url, $roksprocket_plugin_rel_path;



if (!defined('DS')) {

	define('DS', DIRECTORY_SEPARATOR);

}



if (!defined('ROKSPROCKET_DEV')) define('ROKSPROCKET_DEV', false);





//RokSprocket Globals

$roksprocket_version         = '1.8.2';

$roksprocket_plugin_file     = str_replace(WP_PLUGIN_DIR, '', $plugin);

$roksprocket_plugin_rel_path = '/' . str_replace(array('/', '\\'), '', dirname($roksprocket_plugin_file));

$roksprocket_plugin_path     = WP_PLUGIN_DIR . $roksprocket_plugin_rel_path;

$roksprocket_plugin_url      = WP_PLUGIN_URL . $roksprocket_plugin_rel_path;





//load required files in required order

include_once($roksprocket_plugin_path . '/functions.php');

include_once($roksprocket_plugin_path . '/include.php');

include_once($roksprocket_plugin_path . '/request.php');



//$include_file = $roksprocket_plugin_path . '/include.php';

//$included_files = get_included_files();

//if (!in_array($include_file, $included_files) && ($loaderrors = include_once($include_file)) !== 'WORDPRESS_RokSprocket_LIB_INCLUDED') {

//    roksprocket_set_admin_message('error',__('<strong>Unable to activate RokSprocket:</strong><br/>').implode("<br/>",$loaderrors));

//    rs_force_deactivate();

//    return $loaderrors;

//}

if (!preg_match('/project.version/', ROKCOMMON) && version_compare(preg_replace('/-SNAPSHOT/', '', ROKCOMMON), '3.0', '<')) {

	rs_force_deactivate();

	roksprocket_set_admin_message('error', __('RokSprocket needs at least RokCommon Version 3.0.  You currently have RokCommon Version ' . ROKCOMMON));

	return;

}



include_once($roksprocket_plugin_path . '/widgets/roksprocket.php');

include_once($roksprocket_plugin_path . '/posttypes/roksprocket.php');

include_once($roksprocket_plugin_path . '/metaboxes/roksprocket.php');

include_once($roksprocket_plugin_path . '/tinymce/tinymce.php');



// Define Cache Dir

if (!defined('ROKSPROCKET_CACHE')) {

	define('ROKSPROCKET_CACHE', WP_CONTENT_DIR . '/cache');

}



if (!defined('ROKSPROCKET_BASE_DIR')) {

	define('ROKSPROCKET_BASE_DIR', dirname(__FILE__));

}



if (!defined('ROKSPROCKET_ASSETS_DIR')) {

	define('ROKSPROCKET_ASSETS_DIR', ROKSPROCKET_BASE_DIR . '/admin/assets');

}





if (!class_exists('RokSprocket_Plugin')) {

	/**

	 *

	 */

	class RokSprocket_Plugin

	{

		/**

		 * @return array

		 */

		public static function get_defaults()

		{

			$defaults = array();

			add_option('roksprocket_plugin_settings', $defaults);

			return $defaults;

		}



		/**

		 * initialize roksprocket plugin

		 */

		public static function init()

		{

			global $roksprocket_plugin_rel_path;



			//if rokcommon isn't installed and/or activated we deactivate roksprocket

			if (!rs_rokcommon_check()) {

				return;

			}



			//register plugin settings

			register_setting('roksprocket_settings_group', 'roksprocket_plugin_settings');



			//load translator

			$container = RokCommon_Service::getContainer();

			if ($container->hasParameter('roksprocket.template.override.path')) {

				load_plugin_textdomain('wp_roksprocket', false, $roksprocket_plugin_rel_path . '/languages');



				/** @var $i18n RokCommon_I18N_Wordpress */

				$i18n = $container->i18n;

				$i18n->addDomain('wp_roksprocket');

				self::cleanupProviders();

			}




		}



		public static function edit_controller()

		{

			$container = RokCommon_Service::getContainer();

			/** @var $view RokSprocket_Views_Edit_View */

			$view = $container->getService('roksprocket-edit.view');

			$id   = (int)RokSprocket_Request::getInt('id', 0);

			if ($id !== 0) {

				/** @var $model RokSprocket_Model_Edit */

				$model = $container->getService('roksprocket.edit.model');

				$item  = $model->get($id);

				$view->setData($item);

				$articles          = $model->getArticles($id, $item->getParams());

				$view->articles    = $articles;

				$view->perItemForm = $model->getPerItemsForm($item->getParams()->get('layout'));

			}

		}



		public static function renderHeader()

		{

			//we need these on all roksprocket admin pages

			$page      = $_REQUEST['page'];

			$container = RokCommon_Service::getContainer();

			$container->hasService($page . '.view');

			if (is_admin() && $container->hasService($page . '.view')) {

				/** @var $view RokSprocket_Views_IView */

				$view = $container->getService($page . '.view');

				$view->initialize();

				$view->renderHeader();

			}

		}



		public static function renderInlines()

		{

			//we need these on all roksprocket admin pages

			$page      = $_REQUEST['page'];

			$container = RokCommon_Service::getContainer();

			$container->hasService($page . '.view');

			if (is_admin() && $container->hasService($page . '.view')) {

				/** @var $view RokSprocket_Views_IView */

				$view = $container->getService($page . '.view');

				$view->renderInlines();

			}

		}





		/**

		 * add roksprocket admin menu

		 */

		public static function admin_menu()

		{

			global $roksprocket_plugin_url;



			//if rokcommon and rokgallery isn't installed and activated we don't show menu

			if (!rs_rokcommon_check() || !rs_roksprocket_check()) { return; }



			add_menu_page('RokSprocket Administration', 'RokSprocket Admin', 'manage_options', 'roksprocket-list', array(

			                                                                                                            'RokSprocket_Plugin',

			                                                                                                            'renderView'

			                                                                                                       ), $roksprocket_plugin_url . '/admin/assets/images/roksprocket_16x16.png');

			add_submenu_page(null, 'RokSprocket Edit Widget', 'RokSprocket Edit Widget', 'manage_options', 'roksprocket-edit', array(

			                                                                                                                        'RokSprocket_Plugin',

			                                                                                                                        'renderView'

			                                                                                                                   ));

			add_submenu_page('roksprocket-list', 'Add New', 'Add New', 'manage_options', 'roksprocket-edit', array(

			                                                                                                      'RokSprocket_Plugin',

			                                                                                                      'renderView'

			                                                                                                 ));

		}



		/**

		 * render roksprocket plugin default view

		 */

		public static function renderView()

		{

			$page      = $_REQUEST['page'];

			$container = RokCommon_Service::getContainer();

			$container->hasService($page . '.view');

			if (is_admin() && $container->hasService($page . '.view')) {

				/** @var $view RokSprocket_Views_IView */

				$view = $container->getService($page . '.view');

				$view->render();

			}

		}



		protected static function cleanupProviders()

		{

			$container   = RokCommon_Service::getContainer();

			$paramsclass = $container['roksprocket.providers.registered'];

			$params      = get_object_vars($paramsclass);

			ksort($params);



			$registered = new stdClass();

			foreach ($params as $provider_id => $provider_info) {

				/** @var $provider RokSprocket_IProvider */

				$provider_class = $container[sprintf('roksprocket.providers.registered.%s.class', $provider_id)];

				$available      = call_user_func(array($provider_class, 'isAvailable'));

				if ($available) {

					$registered->$provider_id = $provider_info;

				}

			}

			$container->setParameter('roksprocket.providers.registered', $registered);

		}



        function roksprocket_admin_bar() {

            global $wp_admin_bar;

            if ( !is_super_admin() || !is_admin_bar_showing() )

                return;



            $nonce = wp_create_nonce('roksprocket-ajax-nonce');

            $args = array(

                'id' => 'roksprocket-admin',

                'parent' => 'new-content',

                'title' => __( 'RokSprocket' ),

                'href' => get_bloginfo('wpurl') . '/wp-admin/admin.php?page=roksprocket-edit&id=0&nonce=' . $nonce,

            );



            /* Add the main siteadmin menu item */

            $wp_admin_bar->add_node( $args );

        }

	}

}



if (!function_exists('roksprocket_activate')) {

	/**

	 * function runs on plugin initial activation

	 */

	function roksprocket_activate()

	{

		global $roksprocket_version, $roksprocket_plugin_url, $roksprocket_plugin_path, $roksprocket_plugin_rel_path, $pagenow;



		if (!rs_rokcommon_check()) {

			return;

		}



		$include_file   = $roksprocket_plugin_path . '/lib/requirements.php';

		$included_files = get_included_files();

		if (!in_array($include_file, $included_files) && ($loaderrors = include_once($include_file)) !== true) {

			rs_force_deactivate();

			roksprocket_set_admin_message('error', __('<strong>Unable to activate RokSprocket:</strong><br/>') . implode("<br/>", $loaderrors));

		}



		$file = $roksprocket_plugin_path . '/install/install.mysql.utf8.sql';



		$result = roksprocket_run_sql($file);

		update_option('roksprocket_installed', true);



		if ($result['complete']) {

			roksprocket_set_admin_message('updated', __('RokSprocket database installation <strong>Successful!</strong>'));

		}

		if (!empty($result['errors'])) {

			roksprocket_set_admin_message('error', __('RokSprocket database installation encountered errors:<br/>' . implode("<br/>", $result['errors'])));

		}



		add_option("roksprocket_version", $roksprocket_version);



		$container_configs = get_option('rokcommon_configs', array());

		if (!array_key_exists('roksprocket', $container_configs)) {

			$container_config                           = array();

			$container_config['file']                   = 'wp-content/plugins' . $roksprocket_plugin_rel_path . '/container.xml';

			$container_config['extension']              = 'roksprocket';

			$container_config['priority']               = 10;

			$container_config['type']                   = 'container';

			$container_configs['roksprocket_container'] = $container_config;



			$library_config                           = array();

			$library_config['file']                   = 'wp-content/plugins' . $roksprocket_plugin_rel_path . '/lib';

			$library_config['extension']              = 'roksprocket';

			$library_config['priority']               = 10;

			$library_config['type']                   = 'library';

			$container_configs['roksprocket_library'] = $library_config;

			update_option('rokcommon_configs', $container_configs);

		}

		RokSprocket_Widgets_RokSprocket::get_defaults(); //set widget defaults in db

	}

}



if (!function_exists('roksprocket_uninstall')) {

	/**

	 * function runs on plugin uninstall

	 */

	function roksprocket_uninstall()

	{

		global $roksprocket_plugin_url;



		$file = $roksprocket_plugin_url . '/install/uninstall.mysql.utf8.sql';



		$result = roksprocket_run_sql($file);

		update_option('roksprocket_installed', false);

		update_option('roksprocket_activated', false);



		if ($result[0]) {

			roksprocket_set_admin_message('updated', __('Removal of RokSprocket database tables was <strong>Successful!</strong>'));

		}



		delete_option('roksprocket_version');

		delete_option('roksprocket_plugin_settings');

		delete_option('widget_roksprocket_options');

	}

}



if (!function_exists('roksprocket_run_sql')) {

	/**

	 * @param string $file

	 *

	 * @return bool

	 */

	function roksprocket_run_sql($file)

	{

		global $wpdb;



		$complete = true;



		$sql = file($file);



		$new_sql = '';

		foreach ($sql as $sql_line) {

			$sql_line = str_replace('#__', $wpdb->prefix, $sql_line); //add wp db prefix

			if (trim($sql_line) != "" && strpos($sql_line, "--") === false) {

				$new_sql .= $sql_line;

			}

		}

		$queries     = explode(';', $new_sql);

		$new_queries = array();

		foreach ($queries as $query) {

			if (trim($query) != "" && strpos($query, "--") === false) {

				$new_queries[] = trim($query); //trim again

			}

		}

		$errors             = array();

		$failed_queries     = array();

		$successful_queries = array();

		foreach ($new_queries as $sql) {

			if ($wpdb->query($sql) === false) {

				$failed_queries[] = $wpdb->last_query;

				$errors[]         = $wpdb->last_error;

				$complete         = false;

			} elseif ($wpdb->query($sql) === 0) {

				$successful_queries[] = $wpdb->last_query;

			} else {

				$successful_queries[] = $wpdb->last_query;

			}

		}



		return array(

			'complete'          => $complete,

			'errors'            => $errors,

			'failed_queries'    => $failed_queries,

			'successful_queries'=> $successful_queries

		);

	}

}



if (!function_exists('roksprocket_mootools_remove')) {

	/*

	* removes other instances of mootools

	*/

	function roksprocket_mootools_remove()

	{

		global $wp_scripts, $pagenow, $gantry, $wp;

		$page      = $_REQUEST['page'];

		$post_type = ($wp->query_vars['post_type']) ? $wp->query_vars['post_type'] : $_REQUEST['post_type'];



		//if rokcommon isn't installed and/or activated we deactivate roksprocket

		if (!rs_rokcommon_check()) return;



		//only strip mootools when needed and only in widget page if gantry is not present

		if ((is_admin() && $pagenow == 'widgets.php'  && !$gantry)

			|| (is_admin() && $pagenow == 'admin-ajax.php')

			|| (is_admin() && $page == 'roksprocket-list')

			|| (is_admin() && $page == 'roksprocket-edit')

			|| (!is_admin())) {

			foreach ($wp_scripts->registered as $script) {

				if ((strpos($script->handle, 'mootools') !== false && strpos($script->handle, 'rok_') === false) || (strpos($script->content_url, 'mootools') !== false && strpos($script->handle, 'rs_') === false)) {

					wp_deregister_script($script->handle);

				}

			}

			foreach ($wp_scripts->queue as $script) {

				if (strpos($script, 'mootools') !== false && strpos($script, 'rok_') === false) {

					wp_dequeue_script($script);

				}

			}

		}

	}

}



if (!function_exists('roksprocket_mootools_init')) {

	/**

	 * adds roksprocket mootools

	 */

	function roksprocket_mootools_init()

	{

		global $pagenow, $typenow, $gantry, $wp;

		$page      = $_REQUEST['page'];

		$post_type = ($wp->query_vars['post_type']) ? $wp->query_vars['post_type'] : $_REQUEST['post_type'];

		if (empty($typenow) && !empty($_GET['post'])) {

			$post    = get_post($_GET['post']);

			$typenow = $post->post_type;

		}

		//if rokcommon isn't installed and/or activated we deactivate roksprocket

		if (!rs_rokcommon_check()) return;



		//only load mootools when needed and only in widget page if gantry is not present

		if ((is_admin() && $pagenow == 'widgets.php'  && !$gantry)

			|| (is_admin() && $pagenow == 'admin-ajax.php')

			|| (is_admin() && $page == 'roksprocket-list')

			|| (is_admin() && $page == 'roksprocket-edit')) {

			RokCommon_Header::addScript(RokCommon_Composite::get('rs_assets.js')->getURL('mootools.js'));

		} else if (!is_admin()) {

			RokCommon_Header::addScript(RokCommon_Composite::get('rs_assets.js')->getURL('mootools.js'));

		}

	}

}



add_action('admin_init', array('RokSprocket_Plugin', 'init'));

add_action('admin_menu', array('RokSprocket_Plugin', 'admin_menu'));



add_action('admin_init', 'roksprocket_mootools_remove', 9999);

add_action('admin_init', 'roksprocket_mootools_init', -50);

add_action('init', 'roksprocket_mootools_remove', 9999);

add_action('init', 'roksprocket_mootools_init', -50);



register_activation_hook($roksprocket_plugin_file, 'roksprocket_activate');

register_uninstall_hook($roksprocket_plugin_file, 'roksprocket_uninstall');



add_action('admin_enqueue_scripts', 'roksprocket_mootools_remove', 9999);

add_action('admin_enqueue_scripts', array('RokSprocket_Plugin', 'renderHeader'));

add_action('admin_head', array('RokSprocket_Plugin', 'renderInlines'));

add_action('load-admin_page_roksprocket-edit', array('RokSprocket_Plugin', 'edit_controller'));

add_action('admin_bar_menu', array('RokSprocket_Plugin', 'roksprocket_admin_bar'), 1000);

